com.corticon.rulesemf.canonicalrulemodel.ruleflow.util

## Class RuleflowSwitch

- java.lang.Object
- - com.corticon.rulesemf.canonicalrulemodel.ruleflow.util.RuleflowSwitch

-     public class RuleflowSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `RuleflowPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static RuleflowPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleflowSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseActivityNode(ActivityNode object)` Returns the result of interpreting the object as an instance of 'Activity Node'
    `java.lang.Object` | `caseConnector(Connector object)` Returns the result of interpreting the object as an instance of 'Connector'
    `java.lang.Object` | `caseDecision(Decision object)` Returns the result of interpreting the object as an instance of 'Decision'
    `java.lang.Object` | `caseDecisionNode(DecisionNode object)` Returns the result of interpreting the object as an instance of 'Decision Node'
    `java.lang.Object` | `caseFlow(Flow object)` Returns the result of interpreting the object as an instance of 'Flow'
    `java.lang.Object` | `caseFlowControl(FlowControl object)` Returns the result of interpreting the object as an instance of 'Flow Control'
    `java.lang.Object` | `caseRuleActivity(RuleActivity object)` Returns the result of interpreting the object as an instance of 'Rule Activity'
    `java.lang.Object` | `caseRuleflow(Ruleflow object)` Returns the result of interpreting the object as an instance of 'Ruleflow'
    `java.lang.Object` | `caseRuleModelElement(RuleModelElement object)` Returns the result of interpreting the object as an instance of 'Rule Model Element'
    `java.lang.Object` | `caseSubflow(Subflow object)` Returns the result of interpreting the object as an instance of 'Subflow'
    `java.lang.Object` | `caseTerminateNode(TerminateNode object)` Returns the result of interpreting the object as an instance of 'Terminate Node'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static RuleflowPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### RuleflowSwitch

          public RuleflowSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseActivityNode

          public java.lang.Object caseActivityNode(ActivityNode object)

      Returns the result of interpreting the object as an instance of 'Activity Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Activity Node'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecision

          public java.lang.Object caseDecision(Decision object)

      Returns the result of interpreting the object as an instance of 'Decision'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decision'.
      See Also:
        `doSwitch(EObject)`

    - #### caseDecisionNode

          public java.lang.Object caseDecisionNode(DecisionNode object)

      Returns the result of interpreting the object as an instance of 'Decision Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Decision Node'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFlowControl

          public java.lang.Object caseFlowControl(FlowControl object)

      Returns the result of interpreting the object as an instance of 'Flow Control'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Flow Control'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleActivity

          public java.lang.Object caseRuleActivity(RuleActivity object)

      Returns the result of interpreting the object as an instance of 'Rule Activity'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Activity'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleflow

          public java.lang.Object caseRuleflow(Ruleflow object)

      Returns the result of interpreting the object as an instance of 'Ruleflow'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Ruleflow'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTerminateNode

          public java.lang.Object caseTerminateNode(TerminateNode object)

      Returns the result of interpreting the object as an instance of 'Terminate Node'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Terminate Node'.
      See Also:
        `doSwitch(EObject)`

    - #### caseFlow

          public java.lang.Object caseFlow(Flow object)

      Returns the result of interpreting the object as an instance of 'Flow'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Flow'.
      See Also:
        `doSwitch(EObject)`

    - #### caseSubflow

          public java.lang.Object caseSubflow(Subflow object)

      Returns the result of interpreting the object as an instance of 'Subflow'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Subflow'.
      See Also:
        `doSwitch(EObject)`

    - #### caseConnector

          public java.lang.Object caseConnector(Connector object)

      Returns the result of interpreting the object as an instance of 'Connector'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Connector'.
      See Also:
        `doSwitch(EObject)`

    - #### caseRuleModelElement

          public java.lang.Object caseRuleModelElement(RuleModelElement object)

      Returns the result of interpreting the object as an instance of 'Rule Model Element'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Rule Model Element'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.